### Hierarchy

- WalletUtils

## Index

### Methods

- createEthereumAddersRecord
- validateWallets
- verifyAddressRecord
- verifyWalletsRecord

## Methods

### Static createEthereumAddersRecord

- createEthereumAddersRecord(baseID: string, ethAddr: string, ethPrvKey: string): AddrRecord

- - Defined in utils/WalletUtils.ts:116

  #### Parameters

  - ##### baseID: string

  - ##### ethAddr: string

  - ##### ethPrvKey: string

  #### Returns AddrRecord

### Static validateWallets

- validateWallets(key: string, walletsRecords: WalletsRecords, baseID: string): WalletVerificationStatus

- - Defined in utils/WalletUtils.ts:55

  #### Parameters

  - ##### key: string

  - ##### walletsRecords: WalletsRecords

  - ##### baseID: string

  #### Returns WalletVerificationStatus

### Static verifyAddressRecord

- verifyAddressRecord(record: AddrRecord): WalletVerificationCodes

- - Defined in utils/WalletUtils.ts:29

  #### Parameters

  - ##### record: AddrRecord

  #### Returns WalletVerificationCodes

### Static verifyWalletsRecord

- verifyWalletsRecord(baseID: string, walletsRecords: WalletsRecords): WalletVerificationStatus

- - Defined in utils/WalletUtils.ts:72

  #### Parameters

  - ##### baseID: string

  - ##### walletsRecords: WalletsRecords

  #### Returns WalletVerificationStatus

Generated using TypeDoc